<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Encabezadopie;
use Intervention\Image\Facades\Image;

class EncabezadoPieController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $encpie = Encabezadopie::where('status_encpie', '1')->get();
        return view('encabezadopie.listar', compact('encpie'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('encabezadopie.nuevo');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $calidad = 60;
        $cve = Encabezadopie::latest('cve_encpie')->first();

        if ($cve == null) {
            $cve = ['id' => 0];
        }
        $enc = $request->file('encabezado');
        $pie = $request->file('pie');
        $extension = explode('.', $enc->getClientOriginalName());
        $extension2 = explode('.', $pie->getClientOriginalName());

        if ($extension[count($extension) - 1] == "webp") {

            $enc->move(getcwd() . "/img/encabezado_pie/encabezado00" . ($cve['id'] + 1) . ".webp");
        } else {
            $image = \Image::make($enc);
            //dd(getcwd() . "/img/encabezado_pie/encabezado00" . ($cve['id'] + 1) . ".webp");
            $image->save(getcwd() . "/img/encabezado_pie/encabezado00" . ($cve['id'] + 1) . ".webp", $calidad);
        }
        //dd("jols");
        if ($extension2[count($extension2) - 1] == "webp") {

            $pie->move(getcwd() . "/img/encabezado_pie/pie00" . ($cve['id'] + 1) . ".webp");
        } else {
            $image2 = \Image::make($pie);
            $image2->save(getcwd() . "/img/encabezado_pie/pie00" . ($cve['id'] + 1) . ".webp", $calidad);
        }

        Encabezadopie::create(['encabezado_encpie' => "encabezado00" . ($cve['id'] + 1) . ".webp", 'pie_encpie' => "pie00" . ($cve['id'] + 1) . ".webp", 'pieIzq_encpie'=>$request->pieI,'pieDer_encpie'=>$request->pieD, 'status_encpie' => '1']);
        return response()->json(['estado' => 'Exito', 'mensaje' => 'Encabezado y pie  guardadas con exito!']);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $ep = Encabezadopie::where('cve_encpie', $id)->first();

        return view('encabezadopie.consultar', compact('ep'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $encpie = Encabezadopie::where('cve_encpie', $id)->first();
        return view('encabezadopie.modificar', compact('encpie'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $calidad = 60;
        $cve = $id;
        $enc = $request->file('encabezado');

        $pie = $request->file('pie');
        $extension = explode('.', $enc->getClientOriginalName());

        $extension2 = explode('.', $pie->getClientOriginalName());
        if ($extension[count($extension) - 1] == "webp") {

            $enc->move(getcwd() . "/img/encabezado_pie/encabezado00" . $cve . ".webp");
        } else {
            $image = \Image::make($enc);
            //dd(getcwd() . "/img/encabezado_pie/encabezado00" . $cve . ".webp");
            $image->save(getcwd() . "/img/encabezado_pie/encabezado00" . $cve . ".webp", $calidad);
        }
        //dd("jols");
        if ($extension2[count($extension2) - 1] == "webp") {

            $pie->move(getcwd() . "/img/encabezado_pie/pie00" . $cve . ".webp");
        } else {
            $image2 = \Image::make($pie);
            $image2->save(getcwd() . "/img/encabezado_pie/pie00" . $cve . ".webp", $calidad);
        }
        $nuevep = Encabezadopie::findOrFail($id);
        $nuevep->encabezado_encpie = "encabezado00" . $id . ".webp";
        $nuevep->pie_encpie = "pie00" . $id . ".webp";
        $nuevep->pieIzq_encpie=$request->pieI;
        $nuevep->pieDer_encpie=$request->pieD;
        $nuevep->save();

        return response()->json(['estado' => 'Exito', 'mensaje' => 'Encabezado y pie  actualizados con exito!']);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $encpie = Encabezadopie::findOrFail($id);
        $encpie->status_encpie = '0';
        $encpie->save();

        return response()->json(['estado' => 'Exito', 'mensaje' => 'Encabezado y pie eliminados con exito!']);
    }
}
